ACTION REQUIRED for Microsoft Internet Explorer Users

Security is a top priority at BeneFLEX HR Resources, Inc. We continuously focus on using the most secure and innovative technology to keep participant healthcare information safe, each and every day. With that in mind, beginning on November 11, 2017, the BeneFLEX Employer and Employee Portals will now be requiring Microsoft Internet Explorer 11 (IE 11) or greater and a Transport Layer Security (TLS) 1.2 or greater*.

This internet browser version change will be required in order for you to properly access the Employer Portal when using Internet Explorer. In addition, employees using Microsoft Internet Explorer will be required to use IE 11 or higher when accessing their healthcare account via the Employee Portal.

There are currently no changes to the requirements for other browsers, specifically: Chrome, Firefox, and Safari. 

REQUIRED ACTION
  • Work with your IT team to verify the browser version your organization is using.
  • We recommend communicating this change to your employees. They will be required to use Internet Explorer 11 or greater in order to access their BeneFLEX Employee Portal.

For additional questions, please contact the BeneFLEX Customer Service team at info@beneflexhr.com or (314) 909-6979.

*The Transport Layer Security (TLS) should be automatically updated when upgrading your browser to Internet Explorer 11 or greater. However, this may vary based on your individual settings. If you have additional questions regarding your TLS, please contact your IT department. 

Sincerely,